Flask==3.0.0
Flask-SQLAlchemy==3.1.1
Flask-Migrate==4.0.5
Flask-Marshmallow==1.1.0
marshmallow-sqlalchemy==1.0.0
psycopg2-binary==2.9.9
python-dotenv==1.0.0
flask-cors==4.0.0
# 图片处理核心库
Pillow>=10.0.0
# [旧] 条形码生成库 (建议保留，防止旧代码报错)
python-barcode>=0.14.0
# [新增] 二维码生成库 (标签打印必需，包含PIL支持)
qrcode[pil]>=7.4.2
# [新增] 必须添加，用于处理 token 登录
Flask-JWT-Extended==4.6.0
# [新增] Excel 处理库 (解决 No module named 'openpyxl' 报错)
openpyxl>=3.1.2